<?php
namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\Sm00034000MaximoCarenciaPropostaService;

class Sm00034000MaximoCarenciaPropostaController extends SMCrud
{
    protected $dataSourceName = 'fct_carenciaoper_parcnegocio';
    protected $ServiceCarenciaOperProp;
    
    public function __construct ($crudService, $environment, Sm00034000MaximoCarenciaPropostaService $ServiceCarenciaOperProp) {
        parent::__construct($crudService, $environment);
        $this->ServiceCarenciaOperProp = $ServiceCarenciaOperProp;
    }
    
    
    public function save(Request $request, Response $response) {
        $request->setParameter('dbname', $this->dataSourceName);
        parent::save($request, $response);
	    $response->addDataSet(new DataSet('columnsToReturn', $this->crudService->getColumnsToReturn()));
    }
    
    /**
     * A função "validaCarenciaOperador" verifica se já existe 
     * uma carencia cadastrada para o operador indicado.
     */
    
    public function validaCarenciaOperador(Request\Row $request, Response $response) {
    
        $row = $request->getRow();
        
        $parcOperador = $row['NRPARCNEGOCIO']; 
        
        $validaCarenciaOperProp = $this->ServiceCarenciaOperProp->validaCarenciaOperador($parcOperador);
        
        $dtsValCarenciaOperProp = new DataSet('VALIDAOPER', array('VALIDA'=>$validaCarenciaOperProp));
        
        $response->addDataSet($dtsValCarenciaOperProp);
    
    }
    public function validaCarenciaOperOuPerf(Request\Row $request, Response $response) {

        $nrorg = $this->environment->getNrOrg();
        $cdoperador = $this->environment->getCdOperador();
        
        $validaCarenciaOperPerf = $this->ServiceCarenciaOperProp->validaCarenciaOperOuPerf($cdoperador, $nrorg);
        
        $dtsValCarenciaOperPerf = new DataSet('VALIDAOPERPERF', array('VALIDA'=>$validaCarenciaOperPerf));
        
        $response->addDataSet($dtsValCarenciaOperPerf);
    
    }
    public function find(Request\Filter $request, Response $response) {
    
        $request->setParameter('dbname', $this->dataSourceName);
        parent::find($request, $response);
    
    }
    
    public function delete(Request $request, Response $response) {
    
        $request->setParameter('dbname', $this->dataSourceName);
        parent::delete($request, $response);
    
    }
    
    
}
?>