<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctApurarFaturamentoLista {
    
    const NOME = "FCT_APURAR_FATURAMENTO_LISTA";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure FCT_APURAR_FATURAMENTO_ERRMULT.
     * 
     * @param string  $nrfaturacont
     * @param string  $nritfaturacont
     * @param string  $nrrateioitemvenc
     * @param integer $nrorg
     * @param string  $operador
     */
    public function executar($nrfaturacont, $nritfaturacont, $nrrateioitemvenc, $nrorg, $operador) {
        $procedure = new StoredProcedure($this->connection, self::NOME);

        $procedure->addParam(new Param("P_NRORG",            Param::PARAM_INPUT,  $nrorg,            Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_CDOPERINCLUSAO",   Param::PARAM_INPUT,  $operador,         Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRFATURACONT",     Param::PARAM_INPUT,  $nrfaturacont,     Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRITFATURACONT",   Param::PARAM_INPUT,  $nritfaturacont,   Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRRATEIOITEMVENC", Param::PARAM_INPUT,  $nrrateioitemvenc, Param::PARAM_TYPE_STR));
        
        $procedure->execute();
    }
    
}

?>
